<?php
include('global.php');
?>
<!DOCTYPE html>
<html>

<head>
  <meta charset="UTF-8">
  <title>Fridge Audiomanagement</title>
  <style>
    body {
      background-color: #222;
      color: #fff;
      font-family: Arial, sans-serif;
      font-size: 16px;
      line-height: 1.5;
      margin: 0;
      padding: 0;
    }

    h1 {
      font-size: 2em;
      text-align: center;
    }

    table {
      border-collapse: collapse;
      margin: 20px auto;
      width: 80%;
    }

    th,
    td {
      border: 1px solid #fff;
      padding: 10px;
      text-align: left;
    }

    th {
      background-color: #444;
    }

    td a {
      color: #fff;
      text-decoration: none;
    }

    td a:hover {
      text-decoration: underline;
    }

    .button {
      background-color: #444;
      border: none;
      color: #fff;
      cursor: pointer;
      display: inline-block;
      font-size: 1em;
      margin: 0 5px;
      padding: 10px 20px;
      text-align: center;
      text-decoration: none;
    }

    .button:hover {
      background-color: #666;
    }

    #upload-form {
      margin: 20px auto;
      text-align: center;
      width: 80%;
    }

    input[type="file"] {
      display: none;
    }

    label[for="file-upload"] {
      background-color: #444;
      border: none;
      border-radius: 5px;
      color: #fff;
      cursor: pointer;
      display: inline-block;
      font-size: 1em;
      margin: 0 5px;
      padding: 7.5px 20px;
      text-align: center;
      text-decoration: none;
    }

    label[for="file-upload"]:hover {
      background-color: #666;
    }

    input[type="submit"],
    button {
      background-color: #444;
      border: none;
      border-radius: 5px;
      color: #fff;
      cursor: pointer;
      display: inline-block;
      font-size: 1em;
      margin: 0 5px;
      padding: 10px 20px;
      text-align: center;
      text-decoration: none;
    }

    input[type="submit"]:hover,
    button:hover {
      background-color: #666;
    }
  </style>
</head>

<body>
  <h1>Fridge Audiomanagement</h1>

  <table>
    <thead>
      <tr>
        <th>File Name</th>
        <th style="width: 2%">Action</th>
      </tr>
    </thead>
    <tbody>
      <?php
      if (count($files) > 0) {
        foreach ($files as $file) {
          ?>
          <tr>
            <td><a href="/<?php echo $DIR . '/' . $file ?>"><?php echo $file ?></a></td>
            <td>
              <form method="POST" action="/delete.php">
                <input type="hidden" name="filename" value="<?php echo $file ?>">
                <button class="button" type="submit" name="delete" value="1">Delete</button>
              </form>
            </td>
          </tr>
          <?php
        }
      } else { ?>
        <tr>
          <td colspan="2">No files uploaded yet</td>
        </tr>
      <?php } ?>
    </tbody>
  </table>

  <form action="/upload.php" id="upload-form" method="POST" enctype="multipart/form-data">
    <label for="file-upload" id="file-upload-label">Select file</label>
    <input type="file" name="file" id="file-upload" accept="<?php echo $TYPE ?>" onchange="input()">
    <button type="submit" name="upload">
      Upload</button>
  </form>
</body>
<script>
  function input() {
    let fileName = document.getElementById('file-upload').files[0].name;
    document.getElementById('file-upload-label').innerHTML = fileName;
  }
</script>

</html>